GNU logs - #56693, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56693: 29.0.50; write-file does not respect uniquify.el
Resent-From: Gabriel <gabriel376@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 22 Jul 2022 05:36:02 +0000
Resent-Message-ID: <handler.56693.B.165846813210840 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 56693
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 56693 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.165846813210840
          (code B ref -1); Fri, 22 Jul 2022 05:36:02 +0000
Received: (at submit) by debbugs.gnu.org; 22 Jul 2022 05:35:32 +0000
Received: from localhost ([127.0.0.1]:39879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oElK0-0002ol-Dq
	for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 01:35:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:55222)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <gabriel376@HIDDEN>) id 1oElJn-0002oQ-4j
 for submit <at> debbugs.gnu.org; Fri, 22 Jul 2022 01:35:30 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:33104)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1oElJl-0000Xj-7l
 for bug-gnu-emacs@HIDDEN; Fri, 22 Jul 2022 01:35:18 -0400
Received: from mail-mw2nam12olkn20830.outbound.protection.outlook.com
 ([2a01:111:f400:fe5a::830]:44128
 helo=NAM12-MW2-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <gabriel376@HIDDEN>)
 id 1oElJi-0003nD-Lc
 for bug-gnu-emacs@HIDDEN; Fri, 22 Jul 2022 01:35:16 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=bw/AJLjpBSHvdNhBXLYu/FoABDcqg3JHbjB2hMVAGxmrWBMWzFHHyrDPIsLqYB58jKwBMgYaFNb3b4UUa/iSFZaD6oi6BtJcTcuPWDhs49gdISo4+moRPcJHQ2pGkjy1NjzSi5LvMTngmvvxubRm8QgJjv5YOf4Oq97XktrykwsEeryNAg3rKx2OgbRi/FdXNKnAD3g1bwAWtEmtMjzQjp0Pp0vzGTUOeZZfQOxKfxpkwWDppumJU2wJkWTgYVLx0+LdN85l/zyp0w0czt7np9WQ3mIf80H0sr2MxDMqQN+92sq0/86w8xslcTQ9IurzSFD+3sACmA8x5ECoYvix1A==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=6CfAIpDho+OdXvjmtNUxI3so+xtzWVAZWnE3aCD1I2E=;
 b=Hl6G6HwlIGhU4PM6m5J0uZ2oxUM/+TfWKxa08SAKIKsxoSt4cJionFKV+/+uuDc+zbqjMyGz4CHbIu/8SYpBJuiog1Z1LP5mPxTw9202I5EGFGSMModqVQrGu95CpOqHGaPaCVzh2K4tpbbgaq9zadWlDzAe8YIGsKA2tuPP4kDx6nbgh/I/DEIsGT9zfmpbubPtwxtJCIZK8WBSCsZ5U79Al9Ca2P5HziN6RsFdV39UuxSe4xouOM4iaZoEGMJ9WPsbGL6dpDnrCb4jBNdZhF1B6k6z2CaDWhQ/p3CxENiloxhLNb+MjYT/uS9Stz3BcIeS2DouzfI0NwZdGn858g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=6CfAIpDho+OdXvjmtNUxI3so+xtzWVAZWnE3aCD1I2E=;
 b=d0olFI/xoTFd0RzZZdd06JhKMANloXkJRIQ6pw2BJJ6zva46gnNtcWUBTrEky+4OcgEeg8Cg/dz/qlnQQB1gw7GTaUvICE9VfEgIrzceHn0xvbL3A6U8Wz8ugls9zh4U4atygHgsUb1l/4FznUJTQDmUTfxnbvl6ibbbKw5e18dvikvNjfGIP0TX6Y7JqVkjp5Xx4N47FQxw3JAabdnirJ7tm9goME7C5M1QYW8eXXSlqJ1AYFOcxMJ49VYXMAGnSXP/7U0I4Y3JTOaoGBVwHFN834VCOzox55X4ad446kmbHDz+XQtmZJ87xlaYJ6rsguTC3kR2UB1vYfHsxRkWwA==
Received: from SJ0PR06MB8609.namprd06.prod.outlook.com (2603:10b6:a03:40c::11)
 by DM6PR06MB6602.namprd06.prod.outlook.com (2603:10b6:5:254::7) with
 Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5438.20; Fri, 22 Jul
 2022 05:30:08 +0000
Received: from SJ0PR06MB8609.namprd06.prod.outlook.com
 ([fe80::c63:ccef:b16f:f28f]) by SJ0PR06MB8609.namprd06.prod.outlook.com
 ([fe80::c63:ccef:b16f:f28f%5]) with mapi id 15.20.5438.024; Fri, 22 Jul 2022
 05:30:08 +0000
From: Gabriel <gabriel376@HIDDEN>
Date: Fri, 22 Jul 2022 02:30:01 -0300
Message-ID: <SJ0PR06MB86097B4797BE29E0E56F18338B909@HIDDEN>
Content-Type: text/plain
X-TMN: [L79h2ip2PkfDQDVgu8TE+gI2AtdHRZANThobrvMFodzASLtrzJZfckzt/6emlkX8]
X-ClientProxiedBy: CP3P284CA0105.BRAP284.PROD.OUTLOOK.COM
 (2603:10d6:103:6f::20) To SJ0PR06MB8609.namprd06.prod.outlook.com
 (2603:10b6:a03:40c::11)
X-Microsoft-Original-Message-ID: <87mtd14sva.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 2ecbd9be-1199-44ae-cdf0-08da6ba33d9f
X-MS-TrafficTypeDiagnostic: DM6PR06MB6602:EE_
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: NtUYsJou09RzupsoLbgMnvVHHuBjFnsj3wPo8Y7v3Ry/Uk8qoXy9pvj0sHX9aSBPZ+DbGc2MXeDjiV/j64kX10x8OLp3aZgIFe9sRLrzrnFcpUhf7oV+HUhVQvmz6LL/NfJa0Bz8LqZrhpKqVZMh3YrnBb0uxzLdeSis8UIHhYtO/8j07mnXP2W+OwH9uwQ3ActEF/KatwNlkhhzmY54mThDEkTMtBIYOBEgaht1ux9jYmnItmGMeuGE0Ys4EZvw5y5LNit+b7VSBWMQfz6q1DSbJL7zJZjpONkyuD997BsfCMw7Fw4ooZWlwROCXiyE+7+9HtuyYB8ZU5LlfbkgPkqKuYKsGXgGgXNn8ohHx3PyFPNVdPVg6ov7PEAWHHtAlhTRtU8wqrGdhpYZbcG/1FOJcBubDJB4YKq/YLZzyXIDnYOcH4yhiNIW1FM5MV0G2Su6+cLwCKqzGLGpKa+Q3LbDDlzKSpTFg7uRoqnganm+6NuwlJtRdKCVMuS+WQB9M2r7LwpUfEEm6O1bwjx5K2pD/k05Qegzi9OvXJDMp0JAIzXfr9krsMAudpieVxk9mQu6rwUU3iElQlZ4uXDDtn2PYBb8mmzZv3oi6ER5Hic4qFBCimYLMQxkYd4/gEzHgw2AsRtQOeurersrJvsJGQ==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: Sh7gwMZEu56b2GzNN4thaMPvdbpumY6wiqoSDP8OWWtRwkSxHJLJ3DdFTGH9/cxm4S75noOHaMiCFESokAhGUDtyIIsgzxdEpTf6IApyaKR+Fu9KBkf5NQmwMVIzupmY9yQivbX42S0/FAK15qAnFOaMvqTu4qXENAs3I3WqP6t5ZU7FO1ZbabVfjCPbOkwOuWXwthkCeHRSwCXxuzoGYTOHwHXuGk434UC5PDH8pf91UEQcfHixQEbLe0UGz7K/EtwyK9PpH1FQZRHG2OPAClGQ4mImwKoX5ALnG/ERLGWrOQF2Xh8b+ZTRkQBWScsPZQXqW66vCWffvhd4/doPMUqzrLZyV8CiBFk9un8HmflWRKvCnKfRnLjxonuRZMyEbFdO5qZzNVU7zrFl6ZjSMZCwAAogyIN2nDHRV/EKqShj78GaOKTu97z+iUUcDPGN0vGA6T+JLPiTEBfxIltwv+ogF49fI0pDUw1B5qZqiEnATJm2vgAj6o/5knJahqoX3w6tRYYvA8PUodN/x79F6td9MMa1h9h1XEAKJB6S8rV3MlSyH+EQMaI4TRh7Imi4ak3QWtIOXISdTZgGG5Cie7+YgZUojoCdtv9rwed/tM8PVNBoiOoM1SobhKCJS4gvvOBHKpbhcG1fDPaLRXCFHhVMPghjDC5a8UPgH9grmZJFb8NHoTEvU9m8TtshThDzH6wzEvRUw9vZT1wPf6JJok6RszTuhJct32SduMzEK7eJO0sZ1RDn6p9qAm2OFIWkYmwl5hY4GJO5tGjoOzOr9ohfLjs1TyHqUsu8cbaso6sNqFAhtRgbB2c3qSvzdQnFFcysLCG6KeQ1vRLKaxuiFeCQB7egwnAndN4w8UaZR9NUvGy51mJkKmMjptbBu57pvdprQ/cNQYkuWzJ+iXk5geihXtAN2+Q984Y1ntEdDFgU7LG9+PI8xnH7q+dTYlkKquYnBKFhva0qlydaXVP6bzjrWmDJ7MKbcWShkbx25aytNlEbxKFq4jmDvKDmShRXs8xW1BUU4VWwlw4nzeT14OWmCVGCh3f2btUWwBxJ8qfIBXjLJg2spFYpiF+rSJYiQaxc7hUtkDWfIzTq4QlwTy1wNWU6rfZHD7rpiG1DPGwXStnWHILAOLu0fY5heOu7oI4lj+5pLyIsWfrwRsWP4AONQSBzRTFMtucwfgEJbBrj3zXfpUWO9Op/bf21CR+6+VSa5a4UPQ181lVMruE5wwCezmvzyfAmQM9ldxKWQDZgznpphNwdBaVd/cfR6TY5aqmwo6TXaYMQ+QOslO2o2WTJnqfuJjBp7zZzQjBGR0WB6XhIjhh2TAUXud/TD760PaRTScGsbM49ToC2n2lrtw==
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-89723.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 2ecbd9be-1199-44ae-cdf0-08da6ba33d9f
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR06MB8609.namprd06.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 22 Jul 2022 05:30:08.8913 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: DM6PR06MB6602
Received-SPF: pass client-ip=2a01:111:f400:fe5a::830;
 envelope-from=gabriel376@HIDDEN;
 helo=NAM12-MW2-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 2.8 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: Description: The `write-file' command (C-x C-w) does not
 respect
 `uniquify.el'. Steps to reproduce (correct case): 1) emacs -Q 2) eval (setopt
 uniquify-buffer-name-style 'forward) 3) C-x C-f "~/tmp/a/x" 4) C-x C-f
 "~/tmp/b/x"
 5) The buffers are renamed are expected: "a/x" and "b/ [...] 
 Content analysis details:   (2.8 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (gabriel376[at]hotmail.com)
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.2 FREEMAIL_ENVFROM_END_DIGIT Envelope-from freemail username ends
 in digit (gabriel376[at]hotmail.com)
 1.5 SPOOFED_FREEMAIL       No description available.
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

Description:
The `write-file' command (C-x C-w) does not respect `uniquify.el'.

Steps to reproduce (correct case):
1) emacs -Q
2) eval (setopt uniquify-buffer-name-style 'forward)
3) C-x C-f "~/tmp/a/x"
4) C-x C-f "~/tmp/b/x"
5) The buffers are renamed are expected: "a/x" and "b/x"

Steps to reproduce (bug case):
1) emacs -Q
2) eval (setopt uniquify-buffer-name-style 'forward)
3) C-x C-f "~/tmp/a/x"
4) C-x C-f "~/tmp/b/y"
5) C-x C-w "~/tmp/b/x"
6) The buffers are not named correctly: "x" and "x<2>"

I did not have time to look deep into this problem, but the following
patch seems to work as expected:
From 3e2ef93862ad13650854a34982c320aaafbf2b6f Mon Sep 17 00:00:00 2001
From: Gabriel do Nascimento Ribeiro <gabriel376@HIDDEN>
Date: Fri, 22 Jul 2022 01:14:11 -0300
Subject: [PATCH 1/1] * files.el (set-visited-file-name): Respect uniquify.el

---
 lisp/files.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/files.el b/lisp/files.el
index bc74dfa738..2051cc0f95 100644
--- a/lisp/files.el
+++ b/lisp/files.el
@@ -4714,7 +4714,7 @@ set-visited-file-name
          ;; If new-name == old-name, renaming would add a spurious <2>
          ;; and it's considered as a feature in rename-buffer.
          (or (string= new-name (buffer-name))
-             (rename-buffer new-name t))))
+             (uniquify--rename-buffer-advice new-name t))))
     (setq buffer-backed-up nil)
     (or along-with-file
        (clear-visited-file-modtime))
--
2.34.1

But it seems to be an unnecessary change, since `rename-bufer' calls
`uniquify--rename-buffer-advice'. The root-cause might be related to
`rename-buffer' passing the result of `generate-new-buffer-name' (that
generates "x<2>") to `uniquify--rename-buffer-advice'.

---
Gabriel


In GNU Emacs 29.0.50 (build 27, x86_64-pc-linux-gnu, GTK+ Version 3.24.33, cairo version 1.16.0)
 of 2022-07-21 built on 4BQPCJ3
Repository revision: 46e07d0a4bdb19b0aed26917227d7846bdb0f43c
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Ubuntu 22.04 LTS




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Gabriel <gabriel376@HIDDEN>
Subject: bug#56693: Acknowledgement (29.0.50; write-file does not respect
 uniquify.el)
Message-ID: <handler.56693.B.165846813210840.ack <at> debbugs.gnu.org>
References: <SJ0PR06MB86097B4797BE29E0E56F18338B909@HIDDEN>
X-Gnu-PR-Message: ack 56693
X-Gnu-PR-Package: emacs
Reply-To: 56693 <at> debbugs.gnu.org
Date: Fri, 22 Jul 2022 05:36:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 56693 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
56693: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D56693
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56693: 29.0.50; write-file does not respect uniquify.el
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 23 Jul 2022 06:31:02 +0000
Resent-Message-ID: <handler.56693.B56693.165855782220989 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 56693
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Gabriel <gabriel376@HIDDEN>
Cc: Stefan Monnier <monnier@HIDDEN>, 56693 <at> debbugs.gnu.org
Received: via spool by 56693-submit <at> debbugs.gnu.org id=B56693.165855782220989
          (code B ref 56693); Sat, 23 Jul 2022 06:31:02 +0000
Received: (at 56693) by debbugs.gnu.org; 23 Jul 2022 06:30:22 +0000
Received: from localhost ([127.0.0.1]:42989 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oF8eb-0005SQ-Ig
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 02:30:21 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47056)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oF8eW-0005Rs-CQ
 for 56693 <at> debbugs.gnu.org; Sat, 23 Jul 2022 02:30:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=LyyjfOXz4zuhyBb9B7PXNYIPAfZyk/RhCn5zMqWKKkU=; b=bqBgNoPZivAESNMOs0X+hajzLb
 3cVNClx5sDw9RiwCAbbDbc7tzYiDgAxQwgLRRWXtzgoAARoKvEoI2VTF+EJvjVvtR/doWmktsN+Ip
 6NsG4VOHSnXsNPRGKUgaNlYlQFwabE8gdNBmUk0GGpjyV4tLV5swOVMKiZ3fpWwu/xYc=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oF8eM-0007jc-MU; Sat, 23 Jul 2022 08:30:08 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <SJ0PR06MB86097B4797BE29E0E56F18338B909@HIDDEN>
 (Gabriel's message of "Fri, 22 Jul 2022 02:30:01 -0300")
References: <SJ0PR06MB86097B4797BE29E0E56F18338B909@HIDDEN>
X-Now-Playing: Rival Consoles's _Kid Velo_: "Into The Heart II"
Date: Sat, 23 Jul 2022 08:30:04 +0200
Message-ID: <87zgh05ok3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Gabriel <gabriel376@HIDDEN> writes: > But it seems to
 be an unnecessary change,
 since `rename-bufer' calls > `uniquify--rename-buffer-advice'.
 The root-cause might be related to > `rename-buffer' passing the result of
 `generate-new-buff [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Gabriel <gabriel376@HIDDEN> writes:

> But it seems to be an unnecessary change, since `rename-bufer' calls
> `uniquify--rename-buffer-advice'. The root-cause might be related to
> `rename-buffer' passing the result of `generate-new-buffer-name' (that
> generates "x<2>") to `uniquify--rename-buffer-advice'.

The code in rename-buffer was added in:

commit 1a724cc2d2e7f08b9fcad569c8cacf126ad55791
Author:     Stefan Monnier <monnier@HIDDEN>
AuthorDate: Mon Dec 27 19:47:23 2021 -0500

I've added Stefan to the CCs; perhaps he has some comments here.





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 23 Jul 2022 06:30:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 23 02:30:22 2022
Received: from localhost ([127.0.0.1]:42991 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oF8eb-0005SV-Vu
	for submit <at> debbugs.gnu.org; Sat, 23 Jul 2022 02:30:22 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47072)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oF8ea-0005S2-2V
 for control <at> debbugs.gnu.org; Sat, 23 Jul 2022 02:30:20 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=UaC9kOqzAEmBpsWz5a/WiczqWA697V+3KgnVUA5JKg8=; b=SKYr/7NQRNx/tOAqljQz+4eohh
 cEiiedMRNuynIahrrY3ed+ofKpmBNa9C+S36PriSdNWMTyENSgh+H4wsmmi2U8d+s7tTeMD+OyDGR
 KT95Y+VbtVRe26RAJnfMIj1sOSCQriH2CKsCzJ/GpdYrZe+ADDJWYSLg50L6uRBGCNEo=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1oF8eS-0007jj-4M
 for control <at> debbugs.gnu.org; Sat, 23 Jul 2022 08:30:14 +0200
Date: Sat, 23 Jul 2022 08:30:11 +0200
Message-Id: <87y1wk5ojw.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #56693
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 56693 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 56693 + moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56693: 29.0.50; write-file does not respect uniquify.el
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 16 Aug 2022 21:32:02 +0000
Resent-Message-ID: <handler.56693.B56693.16606854818006 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 56693
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Gabriel <gabriel376@HIDDEN>
Cc: 56693 <at> debbugs.gnu.org
Received: via spool by 56693-submit <at> debbugs.gnu.org id=B56693.16606854818006
          (code B ref 56693); Tue, 16 Aug 2022 21:32:02 +0000
Received: (at 56693) by debbugs.gnu.org; 16 Aug 2022 21:31:21 +0000
Received: from localhost ([127.0.0.1]:48518 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oO49h-000254-Ce
	for submit <at> debbugs.gnu.org; Tue, 16 Aug 2022 17:31:21 -0400
Received: from mailscanner.iro.umontreal.ca ([132.204.25.50]:26585)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1oO49e-00024p-2d
 for 56693 <at> debbugs.gnu.org; Tue, 16 Aug 2022 17:31:20 -0400
Received: from pmg3.iro.umontreal.ca (localhost [127.0.0.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 6FF18441595;
 Tue, 16 Aug 2022 17:31:12 -0400 (EDT)
Received: from mail01.iro.umontreal.ca (unknown [172.31.2.1])
 by pmg3.iro.umontreal.ca (Proxmox) with ESMTP id 18819441546;
 Tue, 16 Aug 2022 17:31:11 -0400 (EDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=iro.umontreal.ca;
 s=mail; t=1660685471;
 bh=66dRBSQG8CwZcaT7TlZCvst+M8MEIncjUh5bYNx7WZU=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From;
 b=mC1C9WsiqTxP64rGlIytyQO+uq2Iak6u9WF6u9o5X9pv5uKS74jkx+UZCD0BL2st8
 UtJ4iQ6+xWxikr4I8FQEBcAeXm8+fjWM2udSpjA5QIk2IfpH/Uxgw2gTYnXSh6xURM
 81/IEj4AiCAvwqgH6cW6FnVXbicY6aVKnVZepz38dZ0WZe6XcK2OEj/aAnMZIe3UMk
 Gx36+uFfpPkoZ1zPpfHeGdS0w5DAncqL///o7PmEDfFnVvaF9yHxqNhkeiKdMXAfUd
 BUHs3cVguRcwUQTX1nIHGZYbCOkvibBXrdh6t1JBIFlJcZbJ0QYQIJMXJsynRYZpWN
 j1TzHa3vPHZlQ==
Received: from alfajor (unknown [45.44.229.252])
 by mail01.iro.umontreal.ca (Postfix) with ESMTPSA id C0E1C1202FC;
 Tue, 16 Aug 2022 17:31:10 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
In-Reply-To: <SJ0PR06MB86097B4797BE29E0E56F18338B909@HIDDEN>
 (Gabriel's message of "Fri, 22 Jul 2022 02:30:01 -0300")
Message-ID: <jwvbksj6fni.fsf-monnier+emacs@HIDDEN>
References: <SJ0PR06MB86097B4797BE29E0E56F18338B909@HIDDEN>
Date: Tue, 16 Aug 2022 17:31:09 -0400
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-SPAM-INFO: Spam detection results:  0
 ALL_TRUSTED                -1 Passed through trusted hosts only via SMTP
 AWL -0.041 Adjusted score from AWL reputation of From: address
 BAYES_00                 -1.9 Bayes spam probability is 0 to 1%
 DKIM_SIGNED               0.1 Message has a DKIM or DK signature,
 not necessarily valid
 DKIM_VALID -0.1 Message has at least one valid DKIM or DK signature
 DKIM_VALID_AU -0.1 Message has a valid DKIM or DK signature from author's
 domain T_SCC_BODY_TEXT_LINE    -0.01 -
X-SPAM-LEVEL: 
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Steps to reproduce (bug case):
> 1) emacs -Q
> 2) eval (setopt uniquify-buffer-name-style 'forward)
> 3) C-x C-f "~/tmp/a/x"
> 4) C-x C-f "~/tmp/b/y"
> 5) C-x C-w "~/tmp/b/x"
> 6) The buffers are not named correctly: "x" and "x<2>"

Hmm... indeed.

>           (or (string= new-name (buffer-name))
> -             (rename-buffer new-name t))))
> +             (uniquify--rename-buffer-advice new-name t))))

That's an OK workaround, yes.

> But it seems to be an unnecessary change, since `rename-bufer' calls
> `uniquify--rename-buffer-advice'. The root-cause might be related to
> `rename-buffer' passing the result of `generate-new-buffer-name' (that
> generates "x<2>") to `uniquify--rename-buffer-advice'.

Exactly.
I installed the corresponding change, so it should be fixed on `master`.
Thanks,


        Stefan


diff --git a/src/buffer.c b/src/buffer.c
index 98066a2eb60..0d553e7e2d1 100644
--- a/src/buffer.c
+++ b/src/buffer.c
@@ -1563,7 +1563,8 @@ DEFUN ("rename-buffer", Frename_buffer, Srename_buffer, 1, 2,
   (register Lisp_Object newname, Lisp_Object unique)
 {
   register Lisp_Object tem, buf;
-
+  Lisp_Object requestedname = newname;
+
   CHECK_STRING (newname);
 
   if (SCHARS (newname) == 0)
@@ -1599,7 +1601,7 @@ DEFUN ("rename-buffer", Frename_buffer, Srename_buffer, 1, 2,
   run_buffer_list_update_hook (current_buffer);
 
   call2 (intern ("uniquify--rename-buffer-advice"),
-         BVAR (current_buffer, name), unique);
+         requestedname, unique);
 
   /* Refetch since that last call may have done GC.  */
   return BVAR (current_buffer, name);





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#56693: 29.0.50; write-file does not respect uniquify.el
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 14 Sep 2022 15:28:01 +0000
Resent-Message-ID: <handler.56693.B56693.16631692674817 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 56693
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Stefan Monnier <monnier@HIDDEN>
Cc: Gabriel <gabriel376@HIDDEN>, 56693 <at> debbugs.gnu.org
Received: via spool by 56693-submit <at> debbugs.gnu.org id=B56693.16631692674817
          (code B ref 56693); Wed, 14 Sep 2022 15:28:01 +0000
Received: (at 56693) by debbugs.gnu.org; 14 Sep 2022 15:27:47 +0000
Received: from localhost ([127.0.0.1]:55808 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oYUIk-0001Fd-Q8
	for submit <at> debbugs.gnu.org; Wed, 14 Sep 2022 11:27:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50870)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oYUIi-0001FO-Tv
 for 56693 <at> debbugs.gnu.org; Wed, 14 Sep 2022 11:27:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=VtZR1BcMvzz4pQ889k7M/EOWun7fUXBFtudVKJHqSDU=; b=ZQwB5uurKJOpcCfFAhurntWlMz
 40TNZeNHF5HwabavLqNT1kme5afOwHEO+ZfUi9nffr+TQ3cKUlrZqPbQ7vmDwvXHHKqH0K/98Norg
 XCTCz4xIym1ahVhh5tbl2XBFj5dEDdYSaZPf98AyLvAQcsAc67fViReUOl+JorSit/0M=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oYUIZ-0007r8-Rd; Wed, 14 Sep 2022 17:27:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <jwvbksj6fni.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Tue, 16 Aug 2022 17:31:09 -0400")
References: <SJ0PR06MB86097B4797BE29E0E56F18338B909@HIDDEN>
 <jwvbksj6fni.fsf-monnier+emacs@HIDDEN>
X-Now-Playing: Don Cherry's New Researches featuring =?UTF-8?Q?Nan=C3=A1?=
 Vasconcelos's
 _Organic Music Theatre Festival de Chateauvallon 1972 (1)_: "Relativity
 Suite, Part I"
Date: Wed, 14 Sep 2022 17:27:35 +0200
Message-ID: <87zgf2563c.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: > I
 installed
 the corresponding change, so it should be fixed on `master`. Thanks; and
 I'm therefore closing this bug report now. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Stefan Monnier <monnier@HIDDEN> writes:

> I installed the corresponding change, so it should be fixed on `master`.

Thanks; and I'm therefore closing this bug report now.

(If there are still problems in this area, please respond to the debbugs
address and we'll reopen.)




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 14 Sep 2022 15:27:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 14 11:27:50 2022
Received: from localhost ([127.0.0.1]:55811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oYUIo-0001Ft-0Z
	for submit <at> debbugs.gnu.org; Wed, 14 Sep 2022 11:27:50 -0400
Received: from quimby.gnus.org ([95.216.78.240]:50886)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oYUIl-0001FS-W5
 for control <at> debbugs.gnu.org; Wed, 14 Sep 2022 11:27:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=n97zB0nd6qh3KZvSqBJhDyMLbWdrgK7QvL7gN4WWv64=; b=EDIUosxjgO1c9wRDRt+3NP5gMB
 tQgvUcDxyKNI38N+4tHPLKZBvRQC/Q5E9llHkwtmRsjUVRuEqEZcoY0DUfYg3lCRCgMP5ONmXtRvq
 4pD599zgSnc8dDcewuzX37m8cWxzVxaFrCqSWcfD6nQIC6h3lfOCrBSDjpDG1FNj/DwY=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1oYUIe-0007rF-40
 for control <at> debbugs.gnu.org; Wed, 14 Sep 2022 17:27:42 +0200
Date: Wed, 14 Sep 2022 17:27:39 +0200
Message-Id: <87y1um5638.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #56693
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  close 56693 29.1 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

close 56693 29.1
quit






Last modified: Wed, 14 Sep 2022 15:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.